about summary refs log tree commit diff
path: root/third_party/git/ci/install-dependencies.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/git/ci/install-dependencies.sh')
-rwxr-xr-xthird_party/git/ci/install-dependencies.sh16
1 files changed, 13 insertions, 3 deletions
diff --git a/third_party/git/ci/install-dependencies.sh b/third_party/git/ci/install-dependencies.sh
index 8cc72503cb..497fd32ca8 100755
--- a/third_party/git/ci/install-dependencies.sh
+++ b/third_party/git/ci/install-dependencies.sh
@@ -40,20 +40,30 @@ osx-clang|osx-gcc)
 	test -z "$BREW_INSTALL_PACKAGES" ||
 	brew install $BREW_INSTALL_PACKAGES
 	brew link --force gettext
+	brew cask install --no-quarantine perforce || {
+		# Update the definitions and try again
+		cask_repo="$(brew --repository)"/Library/Taps/homebrew/homebrew-cask &&
+		git -C "$cask_repo" pull --no-stat &&
+		brew cask install --no-quarantine perforce
+	} ||
 	brew install caskroom/cask/perforce
 	case "$jobname" in
 	osx-gcc)
-		brew link gcc@8
+		brew install gcc@9
+		# Just in case the image is updated to contain gcc@9
+		# pre-installed but not linked.
+		brew link gcc@9
 		;;
 	esac
 	;;
 StaticAnalysis)
 	sudo apt-get -q update
-	sudo apt-get -q -y install coccinelle
+	sudo apt-get -q -y install coccinelle libcurl4-openssl-dev libssl-dev \
+		libexpat-dev gettext
 	;;
 Documentation)
 	sudo apt-get -q update
-	sudo apt-get -q -y install asciidoc xmlto
+	sudo apt-get -q -y install asciidoc xmlto docbook-xsl-ns
 
 	test -n "$ALREADY_HAVE_ASCIIDOCTOR" ||
 	gem install --version 1.5.8 asciidoctor